RubyGems Navigation menu

mono_logger 1.1.2

A lock-free logger compatible with Ruby 2.0. Ruby does not allow you to request a lock in a trap handler because that could deadlock, so Logger is not sufficient.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.1.2 - April 06, 2023 (10.5 KB)
  2. 1.1.1 - March 24, 2021 (10.5 KB)
  3. 1.1.0 - May 19, 2013 (10 KB)
  4. 1.0.1 - April 08, 2013 (7 KB)
  5. 1.0.0 - March 20, 2013 (9.5 KB)

Development Dependencies (2):

minitest ~> 5.0
rake >= 0

Owners:

Pushed by:

Authors:

  • Steve Klabnik

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 40,694,517

For this version 3,145,713

License:

MIT

Required Ruby Version: >= 0

Links: